package cn.iocoder.yudao.module.llm.service.basemodel;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.llm.controller.admin.basemodel.vo.*;
import cn.iocoder.yudao.module.llm.dal.dataobject.basemodel.BaseModelDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 基座模型 Service 接口
 *
 * @author 华大大模型
 */
public interface BaseModelService {

    /**
     * 创建基座模型
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createBaseModel(@Valid BaseModelSaveReqVO createReqVO);

    /**
     * 更新基座模型
     *
     * @param updateReqVO 更新信息
     */
    void updateBaseModel(@Valid BaseModelSaveReqVO updateReqVO);

    /**
     * 删除基座模型
     *
     * @param id 编号
     */
    void deleteBaseModel(Integer id);

    /**
     * 获得基座模型
     *
     * @param id 编号
     * @return 基座模型
     */
    BaseModelDO getBaseModel(Long id);

    /**
     * 获得基座模型分页
     *
     * @param pageReqVO 分页查询
     * @return 基座模型分页
     */
    PageResult<BaseModelDO> getBaseModelPage(BaseModelPageReqVO pageReqVO);

    List<BaseModelDO> getBaseModelList();

}
